Last modified: 2012-04-19 21:43:36 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20843 - Search & replace : Cursor does not moved to next word
Search & replace : Cursor does not moved to next word
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-28 09:28 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-09-28 09:28:21 UTC
Reporting against the build hosted on Staging environment. (http://prototype.wikimedia.org)



Steps to reproduce :
1)Start editing a page 
2)Add two lines with text "Testing MediWiki"
3)Click on 'Search and replace' icon
4)Type Search for=Test and Replace with=Testing 
5)Click on Replace button.
6)Click on Replace button again 

Actual Outcome:
<<Second word is not replaced. Instead replaced word is modified again>>


Expected Outcome:
1) Search shall move to next word and replace. 
2) User shall have option to replace changed text once first cycle of replacement is done.


Other Observations::

Client Environment details ::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Windows NT 6.0
Screen Width x Height: 	1280 x 800
Screen Color Depth: 	32
Window Width: 	591 (46.2% of 1280)
Window Height: 	353 (44.1% of 800)
Comment 1 Calcey QA 2009-09-28 09:46:08 UTC
Other observation:
All the occurrences are not replaced when 'Replace all occurrences' check box is clicked.
But message box appears with number of replacement done.

This happens when Replace with text string  has Search for string in it.


 
Comment 2 Roan Kattouw 2009-09-28 11:52:56 UTC
Fixed in r57014.
Comment 3 Calcey QA 2009-09-29 05:01:58 UTC
Added keyword babaco to the bug
Comment 4 Calcey QA 2009-10-01 04:18:43 UTC
Verified and Passed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links